// Code generated by MockGen. DO NOT EDIT.
// Source: /home/lucifer/go/src/gitlab.com/aher.shiva/estern/api/repository/hotel.go

// Package mocks is a generated GoMock package.
package mocks

import (
	context "context"
	gomock "github.com/golang/mock/gomock"
	models "gitlab.com/aher.shiva/estern/api/models"
	reflect "reflect"
)

// MockHotelRepository is a mock of HotelRepository interface
type MockHotelRepository struct {
	ctrl     *gomock.Controller
	recorder *MockHotelRepositoryMockRecorder
}

// MockHotelRepositoryMockRecorder is the mock recorder for MockHotelRepository
type MockHotelRepositoryMockRecorder struct {
	mock *MockHotelRepository
}

// NewMockHotelRepository creates a new mock instance
func NewMockHotelRepository(ctrl *gomock.Controller) *MockHotelRepository {
	mock := &MockHotelRepository{ctrl: ctrl}
	mock.recorder = &MockHotelRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *MockHotelRepository) EXPECT() *MockHotelRepositoryMockRecorder {
	return m.recorder
}

// Create mocks base method
func (m *MockHotelRepository) Create(ctxt context.Context, hotel models.Hotel) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Create", ctxt, hotel)
	ret0, _ := ret[0].(error)
	return ret0
}

// Create indicates an expected call of Create
func (mr *MockHotelRepositoryMockRecorder) Create(ctxt, hotel interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Create", reflect.TypeOf((*MockHotelRepository)(nil).Create), ctxt, hotel)
}
